%define upstream_name    App-Notifier-Client
%define upstream_version 0.0401

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Implements the notifier command-line
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URI)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is used to invoke a notification at a remote the
App::Notifier::Service manpage . It provides one class method - notify() .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/notifier
%{_mandir}/man1/notifier.1*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.40.100-3.mga10
+ Revision: 2211833
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.40.100-2.mga9
+ Revision: 1830370
- Mageia 9 Mass Rebuild

* Tue Oct 20 2020 tv <tv> 0.40.100-1.mga8
+ Revision: 1637189
- update to 0.0401

* Thu May 07 2020 shlomif <shlomif> 0.40.0-2.mga8
+ Revision: 1581597
- New version 0.0400 by cheese-e-boi

* Sat Feb 15 2020 umeabot <umeabot> 0.30.200-2.mga8
+ Revision: 1528646
- Mageia 8 Mass Rebuild

* Sun Aug 25 2019 tv <tv> 0.30.200-1.mga8
+ Revision: 1431960
- update to 0.0302

* Sat Apr 06 2019 tv <tv> 0.30.100-1.mga7
+ Revision: 1386377
- update to 0.0301

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-3.mga7
+ Revision: 1265683
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.30.0-2.mga6
+ Revision: 1022547
- Rebuild for perl 5.22.2

* Fri Apr 08 2016 shlomif <shlomif> 0.30.0-1.mga6
+ Revision: 999513
- update to 0.0300

* Thu Feb 18 2016 umeabot <umeabot> 0.20.400-2.mga6
+ Revision: 966218
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.20.400-1.mga6
+ Revision: 843058
- update to 0.0204

* Wed Oct 15 2014 umeabot <umeabot> 0.20.300-3.mga5
+ Revision: 741478
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.300-2.mga5
+ Revision: 683518
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.20.300-1.mga5
+ Revision: 581697
- imported package perl-App-Notifier-Client


* Tue Feb 04 2014 cpan2dist 0.0203-1mga
- initial mageia release, generated with cpan2dist
